Introducing allSnap

allSnap is a small system tray app that makes every window snap like they do in programs such as Winamp or Photoshop.

Running allSnap

Known Problems

Settings

About allSnap


allSnap - Running

Running

  • Once run, all windows will snap to each other and the screen
  • Hold down the selected toggle key (default: ALT) while sizing/moving to toggle off snapping.
  • Right click on the little icon [image] in the system tray to change settings or exit.


allSnap - Known Problems

Known Problems

Performance/Stability

This program works through window hooking. Hooking is a technique that Microsoft suggest you only use in debugging because it can slow the system down, and interfere with any other program on your system (or even crash them!). So use at your own risk.

Cannot delete snap_libX.dll

When allSnap is closed in the middle of its uninstall, or in certain other situations, the library file (snap_libA.dll or snap_libW.dll) is not released correctly. This makes the uninstaller unable to delete the dll. If this occurs, restart the computer and delete the file and directory manually.

Window doesn't snap

Here is an incomplete list of windows allSnap cannot affect:

  • Non top-level windows (e.g. floating toolbars)
  • Programs with their own custom moving/sizing behaviour (e.g. Winamp, RealOne player)
  • Windows 2000/XP command prompt window

This may cause the strange effect of windows that can be snapped to but not snap themselves.


allSnap - Settings

Settings

A property sheet provides a way to change the following settings.

(you can also right click on the property sheet itself to get help)

Preferences/General:
Snap to windows at x pixels | Adjusts how close two windows must be before they snap
Snap to desktop at x pixels | Adjusts how close a window must be to the edge of the screen before it snaps. also used for the center snap items described below
Toggle key | Selects key to temporarily disable window snapping
Preferences/Snap to: Chooses which windows to snap to:
Desktop | Snap to the edges of the screen(s).
Other Windows | Snap to all other windows.
Old Position | Snap to a window's old position. makes more sense when 'Display Properties/Effects/show contents while dragging' is turned off
Vertical center | Snap to the vertical center of the screen(s).
Horizontal center | Snap to the horizontal center of the screen(s).
Sounds: Allows you to add sound effects to the snapping.
Snap sound file | .wav file that is played when a window snaps.
Unsnap sound file | .wav file that is played when a window un-snaps.
Play Sounds | Turn on/off sound effects. sounds may become annoying so they are turned off by default
Advanced:
Desktop icons 'Align to Grid' | Automatically line up desktop icons after moving them as in XP. (not needed in XP)
Snap MDI windows | Makes other applications' MDI windows snap. MDI windows are document windows that are contained within an application's main window.
Don't snap to inside edges | Diables windows from snapping to the inside edges of other windows. e.g. snapping the top of one window to the top of another window
Invert toggle key | Inverts the toggle key function. When selected, windows will not snap unless the toggle key is held down.
Hide icon | Hides the system tray icon. To show the icon again re-run allSnap.exe.
Crop top of windows by x pixels | Using allSnap with certain XP styles (e.g. Watercolor) will leave a thin space at the top of the windows. This option fixes this by making allSnap think all windows are x pixels shorter. This fix is not smart enough to detect which windows are using the problem style, so it is bound to make certain custom-skinned apps snap incorrectly.
Constrain windows to the screen | Prevents windows from moving off the sides of the screen.
Ignore window clipping regions | Some applications set a visible clipping region of a window. This option ignores this setting and snaps to the actual hidden widow size.


allSnap - About

About allSnap

Contact

Author
Ivan Heckman
mail:
ivanheckman@hotmail.com
website:
http://members.rogers.com/ivanheckman

Support

Support this software through a PayPal donation.

Copyright

Copyright © 2002-2004 Ivan Heckman